From 1f000c61b5aae21fbcbdce8d522b377f38d251b0 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sun, 25 Sep 2022 22:21:54 +0200
Subject: [PATCH 05/13] gnu: Add java-fasterxml-jackson-dataformat-smile

* gnu/packages/java.scm (java-fasterxml-jackson-dataformat-smile): New variable.
---
 gnu/packages/java.scm | 50 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 2b1c968650..eb34cbfb7e 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -10425,6 +10425,56 @@ (define-public java-fasterxml-jackson-dataformat-xml
 make data-binding work.")
     (license license:asl2.0))); found on wiki.fasterxml.com/JacksonLicensing
 
+(define-public java-fasterxml-jackson-dataformat-smile
+  (package
+    (name "java-fasterxml-jackson-dataformat-smile")
+    (version "2.12.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url
+                     "https://github.com/FasterXML/jackson-dataformats-binary")
+                    (commit
+                     (string-append "jackson-dataformats-binary-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1qfi44kk1iy9nwcgb55ksdis4jqfqxqrqqv81y3xgm134ds3j9l2"))))
+    (build-system ant-build-system)
+    (arguments
+     `(#:jar-name "jackson-dataformat-smile.jar"
+       #:source-dir "smile/src/main/java"
+       #:test-dir "smile/src/test"
+       #:test-exclude (list "**/failing/**.java")
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'generate-PackageVersion.java
+           (lambda _
+             (let* ((out
+                     (string-append
+                      "smile/src/main/java/com/fasterxml/"
+                      "jackson/dataformat/smile/PackageVersion.java"))
+                    (in (string-append out ".in")))
+               (copy-file in out)
+               (substitute* out
+                 (("@package@") "com.fasterxml.jackson.dataformat.smile")
+                 (("@projectversion@") ,version)
+                 (("@projectgroupid@") "com.fasterxml.jackson.dataformat.smile")
+                 (("@projectartifactid@") "jackson-dataformat-smile")))
+             #t)))))
+    (inputs
+     (list java-fasterxml-jackson-core-2.12.2
+           java-fasterxml-jackson-databind-2.12.2
+           java-fasterxml-jackson-annotations-2.12.2))
+    (native-inputs
+     (list java-junit))
+    (home-page "https://github.com/FasterXML/jackson-dataformats-binary")
+    (synopsis "Smile backend for Jackson")
+    (description "Dataformat backends are used to support format alternatives
+to JSON, supported by default.  This is done by sub-classing Jackson core
+abstractions.")
+    (license license:asl2.0))) ; found on wiki.fasterxml.com/JacksonLicensing
+
 (define-public java-hdrhistogram
   (package
     (name "java-hdrhistogram")
-- 
2.38.0

